<?php
	/***
	* validation
	* return validation error
	
	* author x
	* ver 1.1
	***/
	
// commonextended
include_once("alib/hooks/common_func.php");
include_once("alib/hooks/queryplugin.php");
include_once("alib/hooks/querycontrol.php");
include_once("alib/hooks/errorHandler.php");
//include_once("alib/hooks/init_view.php");
include_once("alib/hooks/common_cl.php");

class cValidate extends FormValidation 
{
	public function returnValid()
	{
		return new cValidate();
	}
} // end class

class auth extends dbconnectpluging
{
	public function returnAuth()
	{
		return new auth();
	}
}

class qInput extends queryinput
{
	public function returnQuery()
	{
		return new qInput();
	}
}

class getError extends logCoreErrorHandler
{
	public function returnError()
	{
		return new getError();
	}
}
/*
class viewX extends viewControlQuery
{
	public function returnView()
	{
		return new viewX();
	}
}
*/
class mkey extends commonC
{
	public function returnKey()
	{
		return new mkey();
	}
}
/*** 

	deploy
	
***/

$isValid = new cValidate();
$auth = new auth();
$query = new qInput();
$err = new getError();
//$view = new viewX();
$key = new mkey();
?>
